PS(1)

NAME
ps - process status

SYNOPSIS
ps [[-]alxE]

OPTIONS

EXAMPLES

DESCRIPTION

Ps prints the status of active processes. Normally only the caller's own processes are listed in short format (the PID, TTY, TIME and CMD fields as explained below). The long listing contains:

  F    Kernel flags:
        001: free slot
        002: no memory map
        004: sending;
        010: receiving
        020: inform on pending signals
        040: pending signals
        100: being traced.

  S
    State:
        R: runnable
        W: waiting (on a message)
        S: sleeping (i.e.,suspended on PM or VFS)
        Z: zombie
        T: stopped

  UID, PID, PPID, PGRP
    The user, process, parent process and process group ID's.

  SZ
    Size of the process in kilobytes.

  RECV
    Process/task on which a receiving process is waiting or sleeping.

  TTY
    Controlling tty for the process.

  TIME
    Process' cumulative (user + system) execution time.

  CMD    Command line arguments of the process.

The files /dev/{mem,kmem} are used to read the system tables and command line arguments from. Terminal names in /dev are used to generate the mnemonic names in the TTY column, so ps is independent of terminal naming conventions.

NOTES
The '-' option prefix is not required. For marginal compatibility with System V usage, the hidden option -e means the same as -ax, and -f is the same as -l.